Bug 206887 - syntax error in /etc/kde/env/gpg-agent-startup.sh
syntax error in /etc/kde/env/gpg-agent-startup.sh
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg2 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 15:15 EDT by Radek Bíba
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 16:17:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-09-17 15:15:36 EDT
Description of problem:
I just found this when examininig /tmp/xses-$USER.XXXXXX:

/etc/kde/env/gpg-agent-startup.sh: line 10: test: too many arguments

Line 10 reads:
>>> if ! test -S ${GPG_SOCKET} -o ! test -O ${GPG_SOCKET} ; then <<<
which is incorrect. The "-o ! test..." is passed to test(1). Did you mean:
>>> if ! test -S ${GPG_SOCKET} -o ! -O ${GPG_SOCKET} ; then <<<
?

Version-Release number of selected component (if applicable):
gnupg2-1.9.22-1.fc5
Comment 1 Rex Dieter 2006-10-31 16:17:40 EST
* Mon Sep 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.9.22-6
- fix "syntax error in gpg-agent-startup.sh" (#206887)

Note You need to log in before you can comment on or make changes to this bug.